#!/bin/bash

# Übergebener Oscam-Name (aus Argument)
oscamname="oscamicamall"

# Konfiguration
TMP_BINARY="/tmp/oscamicamall.new"
BIN_DIR="/etc/tuxbox/config/oscamicamall/binary"
BACKUP_SUFFIX=".old"

echo "*************************** Update Oscam-Binary ***************************"
echo ""

# Prüfen, ob ein Oscam-Name übergeben wurde
if [ -z "$oscamname" ]; then
    echo "Fehler: Kein Oscam-Name angegeben."
    exit 1
fi

# Sicherstellen, dass die neue Binary existiert
if [ ! -f "$TMP_BINARY" ]; then
    echo "Fehler: Neue Oscam-Binary ($TMP_BINARY) existiert nicht."
    exit 1
fi

# Prüfen, ob die alte Binary existiert
if [ ! -f "$BIN_DIR/$oscamname" ]; then
    echo "Fehler: Alte Oscam-Binary ($BIN_DIR/$oscamname) existiert nicht."
    exit 1
fi

# Backup der alten Binary erstellen
echo "Erstelle Backup für $oscamname..."
mv "$BIN_DIR/$oscamname" "$BIN_DIR/$oscamname$BACKUP_SUFFIX"

# Neue Binary kopieren und ausführbar machen
echo "Kopiere neue Binary ($TMP_BINARY) nach $BIN_DIR/$oscamname..."
cp "$TMP_BINARY" "$BIN_DIR/$oscamname"
chmod +x "$BIN_DIR/$oscamname"

echo "Oscam-Binary erfolgreich aktualisiert."

# in console aufrufen oder aus einer shell
# /usr/bin/binary_update.sh oscamicamnew